//! Prints the information found in graph in different ways
use super::*;

use data::HierarchicalINodeGraph;
use config::Config;

/// Print the most basic info
pub fn print_basic_max_info(cfg: &Config, graph: &HierarchicalINodeGraph)
{
    cfg_println!(Quiet; cfg, "Max size file: {:?}", graph.path_max_size_for(data::FsKind::File));
    cfg_println!(Quiet; cfg, "Max size dir: {:?}", graph.path_max_size_for(data::FsKind::Directory));
    cfg_println!(Quiet; cfg, "Max size all: {:?}", graph.path_max_size());
}
